CREATE DATABASE Rechnung;
GO

USE Rechnung;
GO

CREATE TABLE Artikel (
    RechnungID INT IDENTITY(1,1),
    EAN NVARCHAR(MAX),
    name NVARCHAR(255),
    menge INT,
	preis DECIMAL(18,2),
	rabatt_euro DECIMAL(18,2),
	rabatt_prozent DECIMAL(18,2),
	gesamtpreis DECIMAL(18,2),
	mwst FLOAT,
	li_kuerzel NVARCHAR(50),
	bestell_liste NVARCHAR(MAX)
);

CREATE TABLE Kunden (
    KundenID INT IDENTITY(1,1) PRIMARY KEY,
    Name NVARCHAR(255),
    PLZ NVARCHAR(10),
	Ort NVARCHAR(255),
	Strasse NVARCHAR(255),
	Hausnummer NVARCHAR(10)
);

CREATE TABLE Rechnungen (
    RechnungID INT IDENTITY(1,1) PRIMARY KEY,
    Kunde NVARCHAR(255),
    betrag DECIMAL(18,2),
	RechnungsDatum NVARCHAR(MAX),
	LieferungsDatum NVARCHAR(MAX),
);

CREATE TABLE Artikelliste (
	ArtikelID INT IDENTITY(1,1) PRIMARY KEY,
	Name NVARCHAR(255),
	EAN NVARCHAR(MAX),
	Preis DECIMAL(18,2)
);